TYPO3 Core - Bug #81208

Invalid SQL query when previewing a workspace with translated relations
2017-05-12 12:17 - Xavier Perseguers

Status: Closed Start date: 2017-05-12
Priority: Must have Due date:

Assignee: Benni Mack % Done: 100%
Category: Extbase + 110n Estimated time: 0.00 hour
Target version:

TYPO3 Version: 10 Complexity:

PHP Version: 7.4 Is Regression:

Tags: uid_local Sprint Focus:

Description

DISCLAIMER

This is quite tricky and could not understand how to reproduce it in a vanilla install.

Context

e The problem happens for me when previewing a page from a workspace with a menu of categories associated to EXT:news
records.

¢ In my case | have a custom extended domain model for news records but it does not seem to be related, | removed
corresponding columns/fields from the query below

Preview crashes with:

An exception occurred while executing 'SELECT “uid_local’, “uid_foreign’, "tablenames’, “sorting’,
‘sorting_foreign®, "~fieldname', “uid', ‘pid’, “tstamp’, ‘crdate’, ‘cruser_id', ‘deleted’, "hidden
', “starttime’,

‘endtime’, “t3ver_oid’, “t3ver_id', "t3ver_wsid', "t3ver_label’, "t3ver_state’, "t3ver_stage’, "t3

ver_count’, “t3ver_tstamp , “t3ver_move_id , "t3_origuid’, ‘sys_language_uid’, "110n_parent , 110

n_diffsource’,

“title’, “description’, “parent’, “items’, "~ fe_group’ , "images’ , 'single_pid’, “shortcut’, " import

_id’, " import_source’, “seo_title’, 'seo_description’, "~seo_headline’, “seo_text', “110n_state’

FROM " sys_category’ WHERE ('pid’ = ?) AND ( t3ver_oid’ = ?) AND ( t3ver_wsid = ?) AND ( sys_categ

ory . deleted” = 0) LIMIT 1' with params [-1, 29, 2]: Unknown column 'uid_local' in 'field 1list'

Call stack shows:
- DBALException.php:121, Doctrme[DEALlDEALExcephon dnverExcepmnDunngQueryﬂ
7 Connection.php:855, i 3

s QueryBuilder.php:

k.Ler»’E‘mIder php:

.| DataMapper.php
viapper.php
viapper.php:186

B For'.'le'.'.fHeIper php:121,
After quite some deep debugging, | could understand the context:

e This happens when the rows array which need to be overlaid in
\TYPO3\CMS\Extbase\Persistence\Generic\Storage\Typo3DbBackend::doLanguageAndWorkspaceOverlay() are the result of a
JOIN (in my case a JOIN from sys_category and sys_category_record_mm

¢ Each row is thus containing fields coming from both tables

¢ The test on $source at the beginning of method doLanguageAndWorkspaceOverlay properly detects that a JOIN is in use and
extracts the right table (sys_category)

e There are some tests whether the "original" record needs to be fetched, for instance when a move is detected, that's not
invoked in my case

e There is another test which detects that current record is a translation already and then would fetch the parent record instead,
this is where the problem lies

e |f current record is a default language record AND we are in the context of fetching the content of a workspace (method is
invoked multiple times with same record causing no errors until the context of the call is the actual workspace preview), then it
bypasses the action of reloading the record from database

¢ Since it bypasses this reload, call to versionOL is made with a row containing additional columns from
sys_category_record_mm and since the test at the very beginning of method versionOL succeeds, there is a call to method
getWorkspaceVersionOfRecord with those invalid additional columns and this is the source of the SQL failure

Solution Found

The test to reload the original record is extended to check if we are in the context of a workspace preview and if so, ensure no
additional columns are present

Related issues:

Related to TYPO3 Core - Bug #82750: Workspace preview doesn't preview MM rela... Closed 2017-10-12
Related to TYPO3 Core - Feature #90072: Make inline TCA fields workspace-tran... Closed 2020-01-09
Related to TYPO3 Core - Bug #85061: Extbase doesn't overlay workspace records Closed 2018-05-22

Associated revisions

Revision d608b64c - 2021-04-30 10:30 - Benni Mack
[BUGFIX] Resolve WS overlays in Extbase JOIN queries properly

When having JOINs in SQL selects, which typically happens
when a MM property is resolved via Extbase's ORM, versionOL()
threw an SQL error because versionOL() also queried "uid_local"
which did not exist in e.g. sys_category.

This change splits up the massive "overlayLanguageAndWorkspace()"
method into smaller chunks and takes a different route when

doing workspace overlays for JOINs. By re-fetching the main tables'
record, all known fields can be identified via array_key_intersect()

and then chunked together again with the JOINed information

via array_replace().
The added tests show that the assertion for MM relations now work

(if the fix is not applied, the included tests fail due to a SQL error in tests),
but deliver a wrong result, which will be fixed with
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68913

Resolves: #81208

Resolves: #93484

Releases: master, 10.4

Change-Id: laba70be0cf5b7a36ab13380940286628ac976f9a
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/68915
Tested-by: Oliver Bartsch <bo@cedev.de>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Nikita Hovratov <nikita.h@live.de>

Tested-by: Benni Mack <benni@typo3.org>

Reviewed-by: Oliver Bartsch <bo@cedev.de>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Ralf Merz <mail@merzilla.de>

Reviewed-by: Benni Mack <benni@typo3.org>

Revision 325176b3 - 2021-04-30 10:32 - Benni Mack
[BUGFIX] Resolve WS overlays in Extbase JOIN queries properly

When having JOINs in SQL selects, which typically happens
when a MM property is resolved via Extbase's ORM, versionOL()
threw an SQL error because versionOL() also queried "uid_local"
which did not exist in e.g. sys_category.

This change splits up the massive "overlayLanguageAndWorkspace()"
method into smaller chunks and takes a different route when

doing workspace overlays for JOINs. By re-fetching the main tables’
record, all known fields can be identified via array_key_intersect()

and then chunked together again with the JOINed information

via array_replace().

The added tests show that the assertion for MM relations now work

(if the fix is not applied, the included tests fail due to a SQL error in tests),
but deliver a wrong result, which will be fixed with
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68913

Resolves: #81208

Resolves: #93484

Releases: master, 10.4

Change-Id: laba70be0cf5b7a36ab13380940286628ac976f9a
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/68935
Tested-by: core-ci <typo3@b13.com>

Tested-by: Nikita Hovratov <nikita.h@live.de>

Tested-by: Benni Mack <benni@typo3.org>
Reviewed-by: Benni Mack <benni@typo3.org>

History

#1 - 2017-05-12 12:35 - Xavier Perseguers

- Description updated

Added new lines to SQL to make it more readable

#2 - 2017-05-12 12:41 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/52791

#3 - 2017-05-18 16:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/52791

#4 - 2017-09-01 16:46 - Michael Kasten
Can confirm this bug, same Problem here with TYPO3 8.7.4 and News.

| see, here is a patch, and it will be revied.. since four months, what is the plan here?
Any information about in which release ore when this patch should be available?

We have two big TYPO3 Installation, ready to go online, no chance to patch the core with my self (no permission at this hosting)
Any other hints?

best regards

#5 - 2017-09-04 08:47 - Xavier Perseguers

Hey Michael,

Since you face the very same problem, | would suggest to test the patch to see if it works properly and then give a feedback in the form of a review,
following the link to the review system (same credentials as for here).

A patch is good but if nobody confirms the bug and reports that the patch indeed fixes the problem, then it's unlikely to be merged on its own...

#6 - 2017-09-04 15:56 - Christian Weiske
The patch helps here.

#7 - 2017-09-06 18:13 - Andreas Kokott

In my case the patch did not help.
The columns of my custom _mm table are still applied to the query.

#8 - 2017-10-16 23:37 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/52791

#9 - 2017-10-16 23:41 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/52791

#10 - 2017-11-24 08:53 - Sascha no-lasthame-given

| have the same problem.

The last patch works for me.

#11 - 2018-02-27 10:20 - Cristian Buja

The last patch works for me too.

#12 - 2018-03-06 15:41 - Oliver Hader

To continue on this issue, I'd kindly like to ask for a step-by-step documentation on how to reproduce the behavior - which scenario is required for
that?

#13 - 2018-03-07 14:07 - Susanne Moog
- File kittensftw.zip added
- File T3D_tree_PID201_L0_2018-03-07_13-01.t3d added

Attached is a test extension | just generated with the extension builder and a t3d export of a page which reproduces the error.
Steps (without the t3d export, manually done)

- Extract example extension "kittensftw" and install it

- Create a new page

- Create a content element on the page - choose the plugin from the example extension and use the current page as starting point
- Create a category on the page

- Create an example extension record ("kitten") on the page and assign the category

- Preview (without workspace) in frontend: you should see a list view with your record

- Switch to workspace

- DO NOT change anything

- Preview same page -> Exception

Uncaught TYPO3 Exception

An exception occurred while executing 'SELECT ‘uid_local’, ‘uid_foreign', “tablenames’, "fieldname', “sorting’
, ~sorting_ foreign', “uid’, ‘pid’, “tstamp , “crdate’, ‘cruser_id’, ‘deleted’, “hidden’, ‘starttime’ , “endtime
, “t3ver_oid’, "t3ver_id', "t3ver_wsid', “t3ver_label’, "t3ver_state’, "t3ver_stage’, "t3ver_count’, “t3ver_t
stamp’, “t3ver_move_id’, "t3_origuid’, "~sys_language_uid’, "110n_parent’, “110n_diffsource’, “title’, “descrip
tion', ‘parent’, ‘items’, "110n_state’, "fe_group' , "images’, “single_pid’', ‘shortcut’, ‘import_id', ~import_s
ource’ , “seo_title’, “seo_description’, ‘seo_headline’, “seo_text® FROM " sys_category’  WHERE ( pid = ?) AND (
“t3ver_oid® = ?) AND ( t3ver_wsid® = ?) AND ( sys_category . deleted’ = 0) LIMIT 1' with params [-1, 7, 1]: Un
known column 'uid_local' in 'field list'

#14 - 2018-04-16 15:46 - Dennis Metz
Got the exact same problem.

Last patch is working for me too.

#15 - 2018-05-23 20:24 - Frédéric Lebel
We have the same problem here.

The patch works for us.

#16 - 2018-06-06 13:18 - Dennis Metz

Hey guys,
is there anything new about this?

We really need this fix...

#17 - 2018-06-08 16:00 - Gianluca Strafella
Last patch works fine with TYPO3 8.7.15.

#18 - 2018-06-26 18:00 - Tymoteusz Motylewski
- Related to Bug #82750: Workspace preview doesn't preview MM relations properly added

#19 - 2018-12-14 10:59 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review.typo3.org/52791

#20 - 2019-01-17 16:09 - Marcos Fadul

I've having this issue also with not translated content.
We are using typo3 8.7.20 with Flux and Blog extension. Previewing the default language is generation the same error.
We are using the patch #4. It fixed part of the problem.

#21 - 2019-05-07 16:29 - Franz Koch

facing the same issue. Patchset 5 unfortunately no longer applies due to small changes related to TYPO3 context and workspacelD, but applying the
changes from the patchset manually did unfortunately not solve the issue for me (or maybe | messed it up somehow).

#22 - 2019-05-27 09:59 - Torben Hansen

The problem is still valid in TYPO3 9.5 LTS. I'm facing the problem in a project with models that have simple mm relations to sys_categories and also
with a mm relations to a custom model.

In a fresh TYPOBS website, the problem is also reproducible with Susis demo extension mentioned in #81208#note-13
Update: It seems, that $pageRepository->versionOL ($tableName, $row, true); in overlayLanguageAndWorkspace is causing the exception.

#23 - 2019-08-22 10:27 - Kai Tallafus

Can confirm this still happens in V9.5. Using events2 Extension, which has a flexform with sys_category tree multiselect.

#24 - 2019-08-22 16:15 - Jakob Berlin

- Category changed from Extbase to Extbase + 110n
- Priority changed from Should have to Must have

- TYPOS3 Version changed from 8 to 9

- PHP Version setto 7.2

- Tags set to uid_local

also still have this problem in a TYPO3 9.5.5 with news 7.1 installation :(
#25 - 2019-10-08 13:44 - Ralf Merz
Hi,

| also run into this error on TYPOS3 9.5.9 with

"t3g/blog": "7~9.1",

installed.
| cannot preview a blog page having a category assigned in workspace.

Getting same exception:

An exception occurred while executing 'SELECT “uid_local’, “uid_foreign', “tablenames’, "~fieldname', "~sorting’
, ~sorting_foreign', “uid’, “pid’, “tstamp’, ‘crdate’, “cruser_id', ‘deleted’, “hidden’, "starttime’, ‘endtime
*, "t3ver_oid’, “t3ver_id', “t3ver_wsid', "t3ver_label’, "t3ver_state’, "t3ver_stage’, "t3ver_count’, “t3ver_t
stamp’, "t3ver_move_id’, "t3_origuid’, "sys_language_uid’, “110n_parent’, “110n_diffsource', “title’, “descrip
tion', “parent’, “items’, "fe_group , " images’, “single_pid’', ~shortcut’, ‘import_id', ‘import_source’, "seo_t
itle’, “seo_description’, "~seo_headline’, “seo_text’, "110n_state’, “slug , “content’, ‘posts’ FROM " sys_categ
ory’ WHERE ("pid’ = ?) AND ( t3ver_oid’ = ?) AND ( t3ver_wsid® = ?) AND ( sys_category . deleted’ = 0) LIMIT 1

' with params [-1, 2, 1]: Unknown column 'uid_local' in 'field list'

Are there any news on this?
Will try to debug...

Thx
merzilla

#26 - 2019-10-08 14:37 - Xavier Perseguers
Hello Ralf,
Are there any news on this?

Will try to debug...

No need to debug, just check the patch | created ... 2 years ago :)
#27 - 2019-10-08 14:45 - Ralf Merz
Xavier Perseguers wrote:
Hello Ralf,
Are there any news on this?
Will try to debug...

No need to debug, just check the patch | created ... 2 years ago :)

Hi Xavier,

i have just testet PS 5, but it does not apply to v9 out of the box.
I’ll have a look in the extbase code and try to apply it manually.

Thanks for your fast reply!

Cheers
Ralf

#28 - 2019-10-08 15:31 - Ralf Merz

As | could see now for v9 we need to also patch function overlayLanguageAndWorkspace() in Typo3DbBackend.php as
"consistentTranslationOverlayHandling" is enabled by default in v9 and will be always on in v10.

See:

h
m

#29 - 2019-10-08 15:46 - Ralf Merz
- File 81208 _v9.diff added
Hi guys,

I've added the patch manually to extbase in v9.5.9.
So the patch mainly is for doLanguageAndWorkspaceOverlay(), but I've now also added it to overlayLanguageAndWorkspace() in devil's line 666 ;)

We use PHP 7.3, but this should not be an issue.

Can someone please try this out?
| do not exactly remember to push it to gerrit... have to read guidelines again first to be able to push for v9... :( sorry. But | guess | am able to give it a
try today.

Cheers

merzilla

#30 - 2019-10-08 17:43 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#31 - 2019-10-08 17:44 - Ralf Merz

Gerrit Code Review wrote:

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

I've implemented the patch now also in the master branch. HTH and will fix this preview bug for you, too.

#32 - 2019-10-09 08:59 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#33 - 2019-10-16 13:17 - Lukas Speck

Gerrit Code Review wrote:

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review.typo3.org/c/Packages/TYPO3.CMS/+/52791

'

The Patch has a bug in the line 741. If a workspace ist active and $forceRecordReloadInWorkspace is true, $row is replaced by a result where '110n
(or $GLOBALS['TCA'|[$tableName]['ctrl'['transOrigPointerField]) is qual to uid. But this field could be 0 and then the result is "false".
| fixed it with this line in line mentioned:

Srow[$SGLOBALS['TCA'] [StableName] ['ctrl'] ['transOrigPointerField']] == 0 ? S$row['uid'] : Srow[S$SGLOBALS['TCA'][
StableName] ['ctrl'] ['transOrigPointerField']]

Cheerio Lukas

#34 - 2020-03-13 12:03 - Kurt Gusbeth

| had the same problem with an own extension (which uses TYPOQ3 categories) and the patch
https:/review.typo3.org/c/Packages/TYPO3.CMS/+/52791

fixed it, but there is no line 741 to see in the patch.

Lukas, can you tell, which code should be replaced?

It is an old "Must have" bug and it is still not fixed in TYPO3 9.5.14...

#35 - 2020-04-20 17:34 - Dave Zen

| have the same error (again, | think). It could be that this happened before with another extensions, the bug sounds familiar.

It happens in 9.5.15 and blog 9.1.2 when | want to preview the blog list or a plog post in workspaces in the german language (which is the default
language). | translated the page into english and there the preview seems to work.

(1/2) Doctrine\DBAL\Exception\InvalidFieldNameException

“crdate’, “cruser_id", “deleted’, “hidden’, “starttime’, “endtime’, "t3ver_oid", "t3ver_id", "t3ver_wsid’, "t3ver_label’, "t3ver_state’, "t3ver_stage’,
“t3ver_count’, "t3ver_tstamp’, "t3ver_move_id", "t3_origuid’, “sys_language_uid", "110n_parent’, "110n_diffsource’, “title", "description’, “parent’,
‘items’, “fe_group’, ‘images’, ‘single_pid", “shortcut’, “import_id", “import_source’, “seo_title’, “seo_description’, ‘'seo_headline’, “seo_text’, ‘content’,
"110n_state’, "posts’, “slug” FROM “sys_category” WHERE ('pid" = ?) AND (‘t3ver_oid" = ?) AND ('t3ver_wsid" = ?) AND ('sys_category . deleted” =
0) LIMIT 1" with params [-1, 354, 1]: Unknown column 'uid_local' in 'field list'

in /var/www/html/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/AbstractMySQLDriver.php line 60

in /var/www/html/vendor/doctrine/dbal/lib/Doctrine/DBAL/DBALEXxception.php line 166

in /var/www/html/vendor/doctrine/dbal/lib/Doctrine/DBAL/DBALException.php line 146

in /var/www/html/vendor/doctrine/dbal/lib/Doctrine/DBAL/Connection.php line 912

in /var/www/html/vendor/doctrine/dbal/lib/Doctrine/DBAL/Query/QueryBuilder.php line 206

in /var/www/html/web/typo3/sysext/core/Classes/Database/Query/QueryBuilder.php line 187
in /var/www/html/web/typo3/sysext/frontend/Classes/Page/PageRepository.php line 2024

in /var/www/html/web/typo3/sysext/frontend/Classes/Page/PageRepository.php line 1819

Has someone a patch for v9.5.15?

#36 - 2020-04-20 17:40 - Xavier Perseguers

Not me, reported with a suggested fix 3 years ago, Susanne wrote a test extension 2 years ago, does not seem to ring a bell to be finally tackled with,
| personally don't need it (yet) since I'm still on v8 for the 2 big websites | would possibly need it. Just hope that someone is finally taking care.

#37 - 2020-04-27 13:12 - Markus Hackel
- File 81208 _v9.5.diff added
Lukas Speck wrote:

Gerrit Code Review wrote:

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review.typo3.org/c/Packages/TYPO3.CMS/+/52791

The Patch has a bug in the line 741. If a workspace ist active and $forceRecordReloadlnWorkspace is true, $row is replaced by a result where
'10n' (or $GLOBALS['TCA'][$tableName]['ctrl'|['transOrigPointerField") is qual to uid. But this field could be 0 and then the result is "false".
| fixed it with this line in line mentioned:

(-]

Cheerio Lukas

| can provide a patch for TYPO3 9.5 which works for me and also implements the fix mentioned in Lukas' comment.

Since the affected class has some more changes in v10 | will have a closer look to provide this fix there too. But | hope to be able to push it to Gerrit
soon.

#38 - 2020-04-28 08:40 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/64333

#39 - 2020-04-28 12:05 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#40 - 2020-04-28 12:14 - Markus Hackel

Gerrit Code Review wrote:

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/64333

Please forget about this one. | accidentally created a new patchset initially.
#41 - 2020-04-28 12:20 - Markus Hackel
Gerrit Code Review wrote:

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

Above patch you can test in v10 with Susanne's EXT kittensftw attached to this ticket.

2022-05-24 8/11


https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791
https://review.typo3.org/c/Packages/TYPO3.CMS/+/64333
https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791
https://review.typo3.org/c/Packages/TYPO3.CMS/+/64333
https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

For v9.5 you can still try the 81208 v9.5.diff.

#42 - 2020-05-02 15:38 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#43 - 2020-05-18 17:23 - Ingo Fabbri

Ralf Merz wrote:
Hi guys,

I've added the patch manually to extbase in v9.5.9.
So the patch mainly is for doLanguageAndWorkspaceOverlay(), but I've now also added it to overlayLanguageAndWorkspace() in devil's line
666 ;)

We use PHP 7.3, but this should not be an issue.

Can someone please try this out?
| do not exactly remember to push it to gerrit... have to read guidelines again first to be able to push for v9... :( sorry. But | guess | am able to give
it a try today.

Cheers
merzilla

81208_v9.5.diff works for me in 9.5.17. Great! But PS9 seems to be broken - | cannot apply it on v9.

#44 - 2020-05-18 17:28 - Ingo Fabbri

| did not use workspaces for years. Just to enable the feature on a v9 installation. Of course it yelled out big fat Whoooops whoops an error occured.
Now I am here. 2020 - with a quite old issue still unresolved - even though several ways to reproduce the issue were provided. even a patch. I'll try to
fix the PS9 so it may merge again on v9 and master. holy batman

#45 - 2020-05-25 20:50 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#46 - 2020-06-25 17:12 - Ingo Fabbri

Gerrit Code Review wrote:

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

Patch set 10 does not fix the issue. 81208_v9.5.diff is still the way to go - at least to get rid of the exception. 81208_v9.5.diff still does not get it right
with sys_category - but at least the frontend does not break.

#47 - 2020-09-02 16:23 - Benni Mack
- Related to Feature #90072: Make inline TCA fields workspace-transparent for Extbase (foreign_field and foreign_sortby) added

#48 - 2020-09-02 16:23 - Benni Mack
- Related to Bug #85061: Extbase doesn't overlay workspace records added

#49 - 2020-10-23 16:30 - Jonathan Starck
- TYPOS3 Version changed from 9 to 10
- PHP Version changed from 7.2 to 7.4

I also got this error in TYPOS3 Version 10 on PHP 7.4 via Composer

#50 - 2020-11-03 16:29 - Carsten Hiilsmann

Jonathan Starck wrote:

| also got this error in TYPO3 Version 10 on PHP 7.4 via Composer

Same issues here.
The patch did work but due to another patch (https:/review.typo3.org/c/Packages/TYPO3.CMS/+/57012) it doesn't anymore.

#51 - 2020-11-19 13:37 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#52 - 2020-11-19 14:20 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#53 - 2020-11-19 19:19 - Carsten Hiilsmann

- Assignee changed from Xavier Perseguers to Benni Mack

| gave it another try - less complex.
The original idea is kept and | just extended the changes Benni did already for languageOverlays but extended this also in case we're in workspace
context to get rid of the additional columns here as well.

#54 - 2020-11-20 09:45 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#55 - 2020-11-20 10:08 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#56 - 2020-11-20 10:35 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#57 - 2020-11-20 12:12 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#58 - 2020-11-20 12:30 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/52791

#59 - 2020-11-20 12:44 - Gerrit Code Review

Patch set 1 for branch 10.4 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66732

#60 - 2020-12-03 10:26 - Hercules Karvasonis
Hi all.

The latest patch above is fixing the issue for me in the latest TYPO3 10.4.10.
Thanks a lot!
Hercules.

#61 - 2021-02-24 11:47 - Alexander Rotzsch
With patch 66732 the error (only on blog pages in my case) is gone. Testet with 10.4.13. Please cherry pick. :)

#62 - 2021-04-29 15:55 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68915

#63 - 2021-04-29 17:00 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68915
#64 - 2021-04-30 08:20 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68915

#65 - 2021-04-30 09:15 - Gerrit Code Review

Patch set 1 for branch 10.4 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review. .org/c/Pack: TYP

#66 - 2021-04-30 09:21 - Gerrit Code Review

Patch set 2 for branch 10.4 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68935

#67 - 2021-04-30 09:36 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68915

#68 - 2021-04-30 10:35 - Benni Mack
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset d608b64cf4fe25161ec6de75d81f8ebf562f0184.

#69 - 2021-05-11 16:01 - Benni Mack

- Status changed from Resolved to Closed

Files

stacktrace.png 182 KB 2017-05-12 Xavier Perseguers
kittensftw.zip 20.1 KB 2018-03-07 Susanne Moog
T3D_tree_PID201_L0_2018-03-07_13-01.t3d 8.23 KB 2018-03-07 Susanne Moog
81208_v9.diff 7.74 KB 2019-10-08 Ralf Merz
81208_v9.5.diff 5.34 KB 2020-04-27 Markus Hackel
